### Method

# Snapd Channel get_confinement

since: 1.22

#### Declaration [src]

    SnapdConfinement
    snapd_channel_get_confinement (
      SnapdChannel* channel
    )

#### Description [src]

Get the confinement this snap is using, e.g. `SNAPD_CONFINEMENT_STRICT`.

Available since: 1.22

Gets property | `Snapd.Channel:confinement`

#### Return value

Type: `SnapdConfinement`

A `SnapdConfinement`.